Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.net
Interface ServerChannel

All Superinterfaces:
  Channel

All Known Implementing Classes:
  IIOPServerChannel

public interface ServerChannel
extends Channel

A server channel represents a connection with a client through which requests can be issued.

Version:
  $Revision: 1.6 $ $Date: 2002/06/28 08:59:05 $
Author:
  Chris Wood

Field Summary
`static int` | `STATE_CLOSED` Connection closed perminently.
`static int` | `STATE_CONNECTED` Connection open and ready for use.

Method Summary
`void` | `close()` Close the connection.
`ORB` | `orb()` An orb reference.
`void` | `soft_close(boolean reject_new)` Close the connection after all currently processing requests are complete.
`int` | `state()` Return the state of the channel.

Methods inherited from interface org.openorb.net.Channel
`active_requests, channel_age, recv, run_recv`

Field Detail

### STATE_CONNECTED

    public static final int STATE_CONNECTED

  Connection open and ready for use.

### STATE_CLOSED

    public static final int STATE_CLOSED

  Connection closed perminently. All requests currently procesing will fail to return.

Method Detail

### orb

    public ORB orb()

  An orb reference.

### state

    public int state()

  Return the state of the channel.

### soft_close

    public void soft_close(boolean reject_new)

  Close the connection after all currently processing requests are complete. If there are no currently active requests the channel will close immediatly otherwise if ifActive is true then the channel will close once all currently active requests have completed, and in the mean time new incomming requests will be silently discarded. This call returns immediatly, use the state function to interrogate the state while a close is pending.

### close

    public void close()

  Close the connection. This closes the channel immediatly, all replys to current requests will be discarded.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD